Loading...
Searching...
No Matches
Gfx::ModelHeaderV3 Struct Reference

Header for new model file version 3. More...

`#include <src/graphics/model/model_io_structs.h>`

## Public Attributes

int | version = 0
| File version (1, 2, ...).
int | totalCrashSpheres = 0
| Total number of crash spheres.
bool | hasShadowSpot = false
| Whether model has shadow spot.
bool | hasCameraCollisionSphere = false
| Whether model has camera collision sphere.
int | totalMeshes = 0
| Total number of meshes.

## Detailed Description

Header for new model file version 3.

## Member Data Documentation

## version

int Gfx::ModelHeaderV3::version = 0

File version (1, 2, ...).

## totalCrashSpheres

int Gfx::ModelHeaderV3::totalCrashSpheres = 0

Total number of crash spheres.

## hasShadowSpot

bool Gfx::ModelHeaderV3::hasShadowSpot = false

Whether model has shadow spot.

## hasCameraCollisionSphere

bool Gfx::ModelHeaderV3::hasCameraCollisionSphere = false

Whether model has camera collision sphere.

## totalMeshes

int Gfx::ModelHeaderV3::totalMeshes = 0

Total number of meshes.

The documentation for this struct was generated from the following file:

- src/graphics/model/model_io_structs.h